local lsp = require('lspconfig')

-- Use an on_attach function to configure after LSP attaches to buffer
local on_attach = function(client, bufnr)
  local function buf_set_option(...) vim.api.nvim_buf_set_option(bufnr, ...) end
  buf_set_option('omnifunc', 'v:lua.vim.lsp.omnifunc')
end

-- Advertise the nvim-cmp capabilities to LSP servers
local capabilities = vim.lsp.protocol.make_client_capabilities()

-- nvim-cmp support.
capabilities = require('cmp_nvim_lsp').update_capabilities(capabilities)

-- zls = zig language server
lsp.zls.setup {
  on_attach = on_attach,
  flags = {
    debounce_text_changes = 150
  },
  capabilities = capabilities
}

-- texlab = latex language server 
lsp.texlab.setup{}
